{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/tablePage.css') }}">
{% endblock %}

{% block body %}

    {% include './component/top.html.twig' %}

    <div class="container">
        <div class="row">
            <a id="addPBtn" href="{{ path('app_addPeople') }}"><button>add People</button></a>
        </div>
        <div id="peoples" class="row">
        <div class="col-12">
                <table id="peoplesTable">
                    <thead>
                    <th>Nom & prenom</th>
                    <th>email</th>
                    <th>addresse</th>
                    <th>tel</th>
                    <th>date de naissance</th>
                    <th>age</th>
                    <th>supprimer</th>
                    </thead>
                    <tbody>
                    {% for people in peoples %}
                        <tr>
                            <td>
                                <a href="{{ path('app_fiche_consultation',{ action: 'consultation', id: people.id}) }}">
                                    {{ people.lastName }} {{ people.firstName }}
                                </a>
                            </td>
                            <td>{{ people.email }}</td>
                            <td>{{ people.adresse }}</td>
                            <td>{{ people.tel }}</td>
                            <td>
                                {{ people.dateNais|date('d-m-Y') }}
                            </td>
                            <td>
                                {{ people.getAge() }}
                            </td>
                            <td>
                                <a href="{{ path('app_deletePeople', { id: people.id}) }}">Delete</a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
        </div>
        </div>

    </div>

{% endblock %}
